.. toctree::
   :maxdepth: 2

Benchmark, accuracy and test API
================================

Here are the object and functions used to test ``pyvkfft``:

* accuracy testing vs scipy
* benchmark transforms for opencl, cuda pyvkfft interfaces, also
  comparing with cufft (scikit-cuda) and clfft (gpyfft)
* test module


Accuracy module
^^^^^^^^^^^^^^^

.. automodule:: pyvkfft.accuracy
   :members:

Benchmark module
^^^^^^^^^^^^^^^^

.. automodule:: pyvkfft.benchmark
   :members:

test module
^^^^^^^^^^^

.. automodule:: pyvkfft.test
   :members:
